var class_fireplace_base =
[
    [ "AfterStoreLoad", "dc/dc1/class_fireplace_base.html#acfd3e60d6c8a72351c23380892b18667", null ],
    [ "BarrelHoles_ColorBase", "dc/dc1/class_fireplace_base.html#a91c6bf145f157e728d7d4d11f71e409e", null ],
    [ "CanAssignAttachmentsToQuickbar", "dc/dc1/class_fireplace_base.html#ab4cff00293b120a92f0d1002aa43adc5", null ],
    [ "CanBeIgnitedBy", "dc/dc1/class_fireplace_base.html#a841973329dd1bcdada96519e2edd1a86", null ],
    [ "CanBeIgnitedBy", "dc/dc1/class_fireplace_base.html#a841973329dd1bcdada96519e2edd1a86", null ],
    [ "CanBeIgnitedBy", "dc/dc1/class_fireplace_base.html#a841973329dd1bcdada96519e2edd1a86", null ],
    [ "CanBeIgnitedBy", "dc/dc1/class_fireplace_base.html#a841973329dd1bcdada96519e2edd1a86", null ],
    [ "CanDisplayAttachmentCategory", "dc/dc1/class_fireplace_base.html#aece218d5b1a9644c8b3511a9887d93cf", null ],
    [ "CanDisplayAttachmentCategory", "dc/dc1/class_fireplace_base.html#aece218d5b1a9644c8b3511a9887d93cf", null ],
    [ "CanDisplayAttachmentSlot", "dc/dc1/class_fireplace_base.html#a8fe3d3f9e2664e1ef028bbcb3267b03a", null ],
    [ "CanDisplayCargo", "dc/dc1/class_fireplace_base.html#a6034633afa5172bdecbec3deee6c5067", null ],
    [ "CanExtinguishFire", "dc/dc1/class_fireplace_base.html#a190c8dbcf7a239597f2d76cb9ac2b29f", null ],
    [ "CanIgniteEntityAsFireplace", "dc/dc1/class_fireplace_base.html#ab5033b84c3be596f421d2e2379f3f8eb", null ],
    [ "CanIgniteItem", "dc/dc1/class_fireplace_base.html#a415c0b875f0a839d16322ec1459b5a0c", null ],
    [ "CanIgniteItem", "dc/dc1/class_fireplace_base.html#a415c0b875f0a839d16322ec1459b5a0c", null ],
    [ "CanIgniteItem", "dc/dc1/class_fireplace_base.html#a415c0b875f0a839d16322ec1459b5a0c", null ],
    [ "CanIgniteItem", "dc/dc1/class_fireplace_base.html#a415c0b875f0a839d16322ec1459b5a0c", null ],
    [ "CanLoadAttachment", "dc/dc1/class_fireplace_base.html#aa8aae63f202082cde1045ef91881cc68", null ],
    [ "CanLoadAttachment", "dc/dc1/class_fireplace_base.html#aa8aae63f202082cde1045ef91881cc68", null ],
    [ "CanLoadItemIntoCargo", "dc/dc1/class_fireplace_base.html#afe09bb6a34b18a646f029423f9013bf1", null ],
    [ "CanLoadItemIntoCargo", "dc/dc1/class_fireplace_base.html#afe09bb6a34b18a646f029423f9013bf1", null ],
    [ "CanPlaceFireplaceInSelectedSpot", "dc/dc1/class_fireplace_base.html#adf13c2566dfb059bfce240baadaf041e", null ],
    [ "CanPlaceFireplaceInSelectedSpot", "dc/dc1/class_fireplace_base.html#adf13c2566dfb059bfce240baadaf041e", null ],
    [ "CanPutInCargo", "dc/dc1/class_fireplace_base.html#aa460bab812d1ae10703c0e9472a070f3", null ],
    [ "CanPutInCargo", "dc/dc1/class_fireplace_base.html#aa460bab812d1ae10703c0e9472a070f3", null ],
    [ "CanPutInCargo", "dc/dc1/class_fireplace_base.html#aa460bab812d1ae10703c0e9472a070f3", null ],
    [ "CanPutInCargo", "dc/dc1/class_fireplace_base.html#aa460bab812d1ae10703c0e9472a070f3", null ],
    [ "CanPutIntoHands", "dc/dc1/class_fireplace_base.html#a6b535d1e64624a9369527fbd712da64e", null ],
    [ "CanPutIntoHands", "dc/dc1/class_fireplace_base.html#a6b535d1e64624a9369527fbd712da64e", null ],
    [ "CanPutIntoHands", "dc/dc1/class_fireplace_base.html#a6b535d1e64624a9369527fbd712da64e", null ],
    [ "CanPutIntoHands", "dc/dc1/class_fireplace_base.html#a6b535d1e64624a9369527fbd712da64e", null ],
    [ "CanReceiveAttachment", "dc/dc1/class_fireplace_base.html#aa5ef7002045a9f93b2a79d8e343a4804", null ],
    [ "CanReceiveAttachment", "dc/dc1/class_fireplace_base.html#aa5ef7002045a9f93b2a79d8e343a4804", null ],
    [ "CanReceiveItemIntoCargo", "dc/dc1/class_fireplace_base.html#ac2d8fc660682c56a7a1ab751d6e85d83", null ],
    [ "CanReceiveItemIntoCargo", "dc/dc1/class_fireplace_base.html#ac2d8fc660682c56a7a1ab751d6e85d83", null ],
    [ "CanReceiveItemIntoCargo", "dc/dc1/class_fireplace_base.html#ac2d8fc660682c56a7a1ab751d6e85d83", null ],
    [ "CanReleaseAttachment", "dc/dc1/class_fireplace_base.html#afc1e52f13a88e34f8c211dd911cc3db0", null ],
    [ "CanReleaseAttachment", "dc/dc1/class_fireplace_base.html#afc1e52f13a88e34f8c211dd911cc3db0", null ],
    [ "CanReleaseCargo", "dc/dc1/class_fireplace_base.html#a82dbc4ff271c486a6416430e7d4dd661", null ],
    [ "CanRemoveFromCargo", "dc/dc1/class_fireplace_base.html#ae2f0a1f7d41ce173c7faa3ae5c8ae9cd", null ],
    [ "CanRemoveFromCargo", "dc/dc1/class_fireplace_base.html#ae2f0a1f7d41ce173c7faa3ae5c8ae9cd", null ],
    [ "CanRemoveFromCargo", "dc/dc1/class_fireplace_base.html#ae2f0a1f7d41ce173c7faa3ae5c8ae9cd", null ],
    [ "CanRemoveFromCargo", "dc/dc1/class_fireplace_base.html#ae2f0a1f7d41ce173c7faa3ae5c8ae9cd", null ],
    [ "CanRemoveFromHands", "dc/dc1/class_fireplace_base.html#a62137478f0dce763a9927c1663505906", null ],
    [ "CanRemoveFromHands", "dc/dc1/class_fireplace_base.html#a62137478f0dce763a9927c1663505906", null ],
    [ "CanShowSmoke", "dc/dc1/class_fireplace_base.html#a7323bfe4de2f5fe4b9cba417209c11e1", null ],
    [ "CanShowSmoke", "dc/dc1/class_fireplace_base.html#a7323bfe4de2f5fe4b9cba417209c11e1", null ],
    [ "Close", "dc/dc1/class_fireplace_base.html#aa50d2beea21a0e55f5ad25f3edf67355", null ],
    [ "CloseLoad", "dc/dc1/class_fireplace_base.html#aca6cb77284692629d6d952dc7dd7e520", null ],
    [ "ContactEvent", "dc/dc1/class_fireplace_base.html#a14452ef3dd01df3dc74cc466745dabde", null ],
    [ "DestroyClutterCutter", "dc/dc1/class_fireplace_base.html#a7e7e80471f753abcccea4b8686d4d77e", null ],
    [ "DestroyClutterCutter", "dc/dc1/class_fireplace_base.html#a7e7e80471f753abcccea4b8686d4d77e", null ],
    [ "EEItemAttached", "dc/dc1/class_fireplace_base.html#a501d6dd8353c3b81669cc737d8c6d307", null ],
    [ "EEItemAttached", "dc/dc1/class_fireplace_base.html#a501d6dd8353c3b81669cc737d8c6d307", null ],
    [ "EEItemAttached", "dc/dc1/class_fireplace_base.html#a501d6dd8353c3b81669cc737d8c6d307", null ],
    [ "EEItemAttached", "dc/dc1/class_fireplace_base.html#a501d6dd8353c3b81669cc737d8c6d307", null ],
    [ "EEItemDetached", "dc/dc1/class_fireplace_base.html#ae1b127f0423357192bad12a285b932bd", null ],
    [ "EEItemDetached", "dc/dc1/class_fireplace_base.html#ae1b127f0423357192bad12a285b932bd", null ],
    [ "EEItemDetached", "dc/dc1/class_fireplace_base.html#ae1b127f0423357192bad12a285b932bd", null ],
    [ "EEItemDetached", "dc/dc1/class_fireplace_base.html#ae1b127f0423357192bad12a285b932bd", null ],
    [ "EOnContact", "dc/dc1/class_fireplace_base.html#a3026e4a6d8a316d4bac8525f98e5b3bc", null ],
    [ "EOnTouch", "dc/dc1/class_fireplace_base.html#a2adc4c05c07e391cf3eb4404a20f72d1", null ],
    [ "Fireplace", "dc/dc1/class_fireplace_base.html#aafacb2ab0a594f755fc57162c4537c74", null ],
    [ "FireplaceIndoor", "dc/dc1/class_fireplace_base.html#ab51cee7432b37be77f4dcaf64d68eb73", null ],
    [ "GetDamageSystemVersionChange", "dc/dc1/class_fireplace_base.html#afa16acc7b7c5dbfad6f7aeda473bc779", null ],
    [ "GetFirePointIndex", "dc/dc1/class_fireplace_base.html#ab81eb795085e9ff61ec9dcfd0999e517", null ],
    [ "GetFirePointIndex", "dc/dc1/class_fireplace_base.html#ab81eb795085e9ff61ec9dcfd0999e517", null ],
    [ "GetInvulnerabilityTypeString", "dc/dc1/class_fireplace_base.html#ab7746740a3bab45ea845de82b22385c1", null ],
    [ "GetPlaceSoundset", "dc/dc1/class_fireplace_base.html#a22485a8948c2ae9a025d48b78c3b1698", null ],
    [ "GetPlaceSoundset", "dc/dc1/class_fireplace_base.html#a22485a8948c2ae9a025d48b78c3b1698", null ],
    [ "GetSmokeEffectPosition", "dc/dc1/class_fireplace_base.html#ab7b10579ee231295f791b5b11e69d81d", null ],
    [ "GetSmokeEffectPosition", "dc/dc1/class_fireplace_base.html#ab7b10579ee231295f791b5b11e69d81d", null ],
    [ "HasFlammableMaterial", "dc/dc1/class_fireplace_base.html#aa39ef5d315a0c91db8928bb419539496", null ],
    [ "HasFlammableMaterial", "dc/dc1/class_fireplace_base.html#aa39ef5d315a0c91db8928bb419539496", null ],
    [ "HasFlammableMaterial", "dc/dc1/class_fireplace_base.html#aa39ef5d315a0c91db8928bb419539496", null ],
    [ "HasFlammableMaterial", "dc/dc1/class_fireplace_base.html#aa39ef5d315a0c91db8928bb419539496", null ],
    [ "HeightStartCheckOverride", "dc/dc1/class_fireplace_base.html#ad25839b2bd22c234a62c9dc085cbda38", null ],
    [ "IgniteEntityAsFireplace", "dc/dc1/class_fireplace_base.html#a28c793644d478db9c4c263a35d0d2639", null ],
    [ "IsBarrelWithHoles", "dc/dc1/class_fireplace_base.html#af5006da419063e3ec4ba166cc5db486e", null ],
    [ "IsBaseFireplace", "dc/dc1/class_fireplace_base.html#a21fb4c63977a86fe1ecb130f3a60763d", null ],
    [ "IsFireplaceIndoor", "dc/dc1/class_fireplace_base.html#a8e6a06b743f8c353f608930096153984", null ],
    [ "IsIgnited", "dc/dc1/class_fireplace_base.html#aa9dac0bd7eeccae68b8b8f42c9826d48", null ],
    [ "IsIgnited", "dc/dc1/class_fireplace_base.html#aa9dac0bd7eeccae68b8b8f42c9826d48", null ],
    [ "IsIgnited", "dc/dc1/class_fireplace_base.html#aa9dac0bd7eeccae68b8b8f42c9826d48", null ],
    [ "IsIgnited", "dc/dc1/class_fireplace_base.html#aa9dac0bd7eeccae68b8b8f42c9826d48", null ],
    [ "IsIndoorOven", "dc/dc1/class_fireplace_base.html#a77d7e243c675c182da7ff0b4186d7f90", null ],
    [ "IsOpen", "dc/dc1/class_fireplace_base.html#a0c39d6be16d93cb314ea3b492d7f1e41", null ],
    [ "IsPrepareToDelete", "dc/dc1/class_fireplace_base.html#a5b86e3db2e7a0600021f76aad4459e45", null ],
    [ "IsPrepareToDelete", "dc/dc1/class_fireplace_base.html#a5b86e3db2e7a0600021f76aad4459e45", null ],
    [ "IsThisIgnitionSuccessful", "dc/dc1/class_fireplace_base.html#ad869f5f68d4f4c5767d5eb0ea4a1ccb9", null ],
    [ "IsThisIgnitionSuccessful", "dc/dc1/class_fireplace_base.html#ad869f5f68d4f4c5767d5eb0ea4a1ccb9", null ],
    [ "IsThisIgnitionSuccessful", "dc/dc1/class_fireplace_base.html#ad869f5f68d4f4c5767d5eb0ea4a1ccb9", null ],
    [ "IsThisIgnitionSuccessful", "dc/dc1/class_fireplace_base.html#ad869f5f68d4f4c5767d5eb0ea4a1ccb9", null ],
    [ "OnBeforeTryDelete", "dc/dc1/class_fireplace_base.html#a0beb8f36cc4759766189fb655d438b7f", null ],
    [ "OnDebugSpawn", "dc/dc1/class_fireplace_base.html#aa773aa405aa8c470e06b29bb370805f6", null ],
    [ "OnIgnitedTarget", "dc/dc1/class_fireplace_base.html#a94f7de9ff8fcf42dbf33eae6d94e71f7", null ],
    [ "OnIgnitedTarget", "dc/dc1/class_fireplace_base.html#a94f7de9ff8fcf42dbf33eae6d94e71f7", null ],
    [ "OnIgnitedTarget", "dc/dc1/class_fireplace_base.html#a94f7de9ff8fcf42dbf33eae6d94e71f7", null ],
    [ "OnIgnitedTarget", "dc/dc1/class_fireplace_base.html#a94f7de9ff8fcf42dbf33eae6d94e71f7", null ],
    [ "OnIgnitedThis", "dc/dc1/class_fireplace_base.html#ab0fce4dd895b673108c2a1e0bb54effe", null ],
    [ "OnIgnitedThis", "dc/dc1/class_fireplace_base.html#ab0fce4dd895b673108c2a1e0bb54effe", null ],
    [ "OnIgnitedThis", "dc/dc1/class_fireplace_base.html#ab0fce4dd895b673108c2a1e0bb54effe", null ],
    [ "OnIgnitedThis", "dc/dc1/class_fireplace_base.html#ab0fce4dd895b673108c2a1e0bb54effe", null ],
    [ "OnStoreLoad", "dc/dc1/class_fireplace_base.html#ae015a8784bf5df8f9ddea506f57d2c47", null ],
    [ "OnStoreLoad", "dc/dc1/class_fireplace_base.html#ae015a8784bf5df8f9ddea506f57d2c47", null ],
    [ "OnStoreLoad", "dc/dc1/class_fireplace_base.html#ae015a8784bf5df8f9ddea506f57d2c47", null ],
    [ "OnStoreLoad", "dc/dc1/class_fireplace_base.html#ae015a8784bf5df8f9ddea506f57d2c47", null ],
    [ "OnStoreSave", "dc/dc1/class_fireplace_base.html#ae8fac239c792829f517a44718a5140f9", null ],
    [ "OnStoreSave", "dc/dc1/class_fireplace_base.html#ae8fac239c792829f517a44718a5140f9", null ],
    [ "OnStoreSave", "dc/dc1/class_fireplace_base.html#ae8fac239c792829f517a44718a5140f9", null ],
    [ "OnStoreSave", "dc/dc1/class_fireplace_base.html#ae8fac239c792829f517a44718a5140f9", null ],
    [ "OnVariablesSynchronized", "dc/dc1/class_fireplace_base.html#ac64a3848dd49fea96482661797f37d56", null ],
    [ "Open", "dc/dc1/class_fireplace_base.html#a6e382b7806c3e567550e53fdcc0e6cf6", null ],
    [ "OpenLoad", "dc/dc1/class_fireplace_base.html#a1d923dec827d17cf1dadab774efac57f", null ],
    [ "OvenIndoor", "dc/dc1/class_fireplace_base.html#a02e009cd99f460d08f9cb581493d08d7", null ],
    [ "ParticleNormalSmokeStart", "dc/dc1/class_fireplace_base.html#a7460ded8a7114f3830dacd09cad1297e", null ],
    [ "ParticleNormalSmokeStart", "dc/dc1/class_fireplace_base.html#a7460ded8a7114f3830dacd09cad1297e", null ],
    [ "ParticleSmallSmokeStart", "dc/dc1/class_fireplace_base.html#a5a78e0cbf460d9ce656ff45d77a61315", null ],
    [ "ParticleSmallSmokeStart", "dc/dc1/class_fireplace_base.html#a5a78e0cbf460d9ce656ff45d77a61315", null ],
    [ "RefreshFireplacePhysics", "dc/dc1/class_fireplace_base.html#a38d4e3b3142f5b976a0f36c5e0858daf", null ],
    [ "RefreshPhysics", "dc/dc1/class_fireplace_base.html#a61c82d2aedc6f160a6cad452cb649acc", null ],
    [ "SetActions", "dc/dc1/class_fireplace_base.html#a1f397ecccaf04ea521731addcf129b20", null ],
    [ "SetActions", "dc/dc1/class_fireplace_base.html#a1f397ecccaf04ea521731addcf129b20", null ],
    [ "SetCookingEquipment", "dc/dc1/class_fireplace_base.html#a5baab153f09faa68e405e4c57210e540", null ],
    [ "SetFirePointIndex", "dc/dc1/class_fireplace_base.html#ad064be74466495877c66b9608b0cc1bf", null ],
    [ "SetFirePointIndex", "dc/dc1/class_fireplace_base.html#ad064be74466495877c66b9608b0cc1bf", null ],
    [ "SetSmokePointPosition", "dc/dc1/class_fireplace_base.html#a06a2d111b310db82e8b36400dc3ccd08", null ],
    [ "SetSmokePointPosition", "dc/dc1/class_fireplace_base.html#a06a2d111b310db82e8b36400dc3ccd08", null ],
    [ "SoundBarrelClosePlay", "dc/dc1/class_fireplace_base.html#ade105bc4e3379e168ebc5e71a7f9467e", null ],
    [ "SoundBarrelOpenPlay", "dc/dc1/class_fireplace_base.html#a372a074a35be0db181517f63b7e1c53d", null ],
    [ "UpdateVisualState", "dc/dc1/class_fireplace_base.html#a17290769a9af0fe25375547ec1c14f11", null ],
    [ "ANIMATION_CLOSED", "dc/dc1/class_fireplace_base.html#a46dd6f95a297f7fa26e8a427be5bb566", null ],
    [ "ANIMATION_OPENED", "dc/dc1/class_fireplace_base.html#a762fe2533d3bf274b1b1fe67187f4201", null ],
    [ "FIREPOINT_ACTION_SELECTION", "dc/dc1/class_fireplace_base.html#a1e8d9d9b8171878671f7459b127db9a4", null ],
    [ "FIREPOINT_FIRE_POSITION", "dc/dc1/class_fireplace_base.html#aba0637beb709bc5fc06ed5e2af535e41", null ],
    [ "FIREPOINT_PLACE_ROT", "dc/dc1/class_fireplace_base.html#a695f38ccaa987f633b14d19365ba252e", null ],
    [ "FIREPOINT_SMOKE_POSITION", "dc/dc1/class_fireplace_base.html#ab2a95d7b38e1a702d72c5eb06bfb5b21", null ],
    [ "m_ContactEventProcessing", "dc/dc1/class_fireplace_base.html#a88152f72d4aa7d4c58a2b1ee1eaa0ed7", null ],
    [ "m_FirePointIndex", "dc/dc1/class_fireplace_base.html#a0f748279f9d0387ae1bd91618b400fe3", null ],
    [ "m_IsOpenedClient", "dc/dc1/class_fireplace_base.html#a1ec5a65508523f96cc1183ea79bbef52", null ],
    [ "m_Openable", "dc/dc1/class_fireplace_base.html#aa323adfdf4d5e0224bf6f56ce7ddcf9e", null ],
    [ "m_SmokePosX", "dc/dc1/class_fireplace_base.html#acbd2baddc5486eff5caf7a967c23f3b2", null ],
    [ "m_SmokePosY", "dc/dc1/class_fireplace_base.html#a83edb595d51f044ab0e4bbb3ab60e2af", null ],
    [ "m_SmokePosZ", "dc/dc1/class_fireplace_base.html#a51c889d9ddd27670537ea870df14efbc", null ],
    [ "OVENPOINT_ACTION_SELECTION", "dc/dc1/class_fireplace_base.html#a2c57a7f412a78cbac0fd8c4da1a20ab2", null ],
    [ "OVENPOINT_FIRE_POSITION", "dc/dc1/class_fireplace_base.html#a5f66e7517900f84000432641c7e1a643", null ],
    [ "OVENPOINT_PLACE_ROT", "dc/dc1/class_fireplace_base.html#a0e8826d83197ec7ac68b231c2de83359", null ],
    [ "OVENPOINT_SMOKE_POSITION", "dc/dc1/class_fireplace_base.html#ade3a92bb0806aeb80b4f52658fe4b239", null ]
];